org.apache.lucene.codecs.sep

## Class IntStreamFactory

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntStreamFactory

-     public abstract class IntStreamFactory
      extends Object

  Provides int reader and writer to specified files.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntStreamFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IntIndexOutput` | `createOutput(Directory dir, String fileName, IOContext context)` Create an `IntIndexOutput` on the provided fileName.
    `abstract IntIndexInput` | `openInput(Directory dir, String fileName, IOContext context)` Create an `IntIndexInput` on the provided fileName.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntStreamFactory

          public IntStreamFactory()

  - ### Method Detail

    - #### openInput

          public abstract IntIndexInput openInput(Directory dir,
                                String fileName,
                                IOContext context)
                                           throws IOException

      Create an `IntIndexInput` on the provided fileName.
      Throws:
        `IOException`

    - #### createOutput

          public abstract IntIndexOutput createOutput(Directory dir,
                                    String fileName,
                                    IOContext context)
                                               throws IOException

      Create an `IntIndexOutput` on the provided fileName.
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.